Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.renderkit
Class NotifyRendererUtils

    java.lang.Object
      org.richfaces.renderkit.NotifyRendererUtils

    public class NotifyRendererUtils

extends Object

Author:
  Lukas Fryc, Brian Leathem

Constructor Summary
`NotifyRendererUtils()`

Method Summary
`static void` | `addFacetOrAttributeAsOption(String name, Map<String,Object> options, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static void` | `addStackIdOption(Map<String,Object> options, javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`static String` | `getStackId(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NotifyRendererUtils

    public NotifyRendererUtils()

Method Detail

### getStackId

    public static String getStackId(javax.faces.context.FacesContext facesContext,
                                    javax.faces.component.UIComponent component)

### addStackIdOption

    public static void addStackIdOption(Map<String,Object> options,
                                        javax.faces.context.FacesContext facesContext,
                                        javax.faces.component.UIComponent component)

### addFacetOrAttributeAsOption

    public static void addFacetOrAttributeAsOption(String name,
                                                   Map<String,Object> options,
                                                   javax.faces.context.FacesContext facesContext,
                                                   javax.faces.component.UIComponent component)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| RichFaces UI Components UI 4.3.5.Final
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.